Popular Hashtags
curl --request GET \
--url https://api.sociavault.com/v1/scrape/tiktok/hashtags/popular \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/tiktok/hashtags/popular"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/tiktok/hashtags/popular', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"list": {
"0": {
"hashtag_id": "7157084587318280197",
"hashtag_name": "tiktokshopblackfriday",
"country_info": {
"id": "US",
"value": "United States",
"label": "US"
},
"industry_info": {
"id": 22000000000,
"value": "Apparel & Accessories",
"label": "label_22000000000"
},
"is_promoted": false,
"trend": {
"0": {
"time": 1761350400,
"value": 0.4
},
"1": {
"time": 1761955200,
"value": 0.5
},
"2": {
"time": 1762560000,
"value": 0.64
},
"3": {
"time": 1763164800,
"value": 0.82
},
"4": {
"time": 1763769600,
"value": 0.95
},
"5": {
"time": 1764374400,
"value": 1
},
"6": {
"time": 1764979200,
"value": 0.68
},
"7": {
"time": 1765584000,
"value": 0.42
},
"8": {
"time": 1766188800,
"value": 0.34
},
"9": {
"time": 1766793600,
"value": 0.29
},
"10": {
"time": 1767398400,
"value": 0.24
},
"11": {
"time": 1768003200,
"value": 0.23
},
"12": {
"time": 1768608000,
"value": 0.2
},
"13": {
"time": 1769212800,
"value": 0.18
},
"14": {
"time": 1769817600,
"value": 0.15
}
},
"publish_cnt": 6928523,
"video_views": 34159952334,
"rank": 1,
"rank_diff": 0,
"rank_diff_type": 2
}
},
"pagination": {
"page": 1,
"size": 20,
"total": 100,
"has_more": true
}
},
"credits_used": 1,
"endpoint": "tiktok/hashtags/popular"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Failed to fetch popular TikTok hashtags"
}Get Popular Hashtags
Get popular TikTok hashtags with filtering by time period and country. Optionally surface only newly trending hashtags.
Credit Cost: 1 credit per request
GET
/
v1
/
scrape
/
tiktok
/
hashtags
/
popular
Popular Hashtags
💳 1 credit per request
Authorizations
Query Parameters
Time period in days (7, 30, or 120)
Available options:
7, 30, 120 Example:
7
Page number
Example:
1
Country code to get popular hashtags from
Available options:
AU, BR, CA, EG, FR, DE, ID, IL, IT, JP, MY, PH, RU, SA, SG, KR, ES, TW, TH, TR, AE, GB, US, VN Example:
"US"
Show only newly trending hashtags
Example:
false
Response
Successful response
Key Response Fields:
data.list[].hashtag_id: Unique hashtag IDdata.list[].hashtag_name: The hashtag text (without#)data.list[].publish_cnt: Total number of videos published with this hashtagdata.list[].video_views: Total video views across all posts using this hashtagdata.list[].rank: Current position on the chartdata.list[].rank_diff: Change in rank since last period (0= no change)data.list[].rank_diff_type: Type of rank change (e.g.2= stable)data.list[].is_promoted: Whether the hashtag is being promoteddata.list[].country_info.id: 2-letter country code (e.g.US)data.list[].country_info.value: Full country name (e.g.United States)data.list[].industry_info.id: Industry category IDdata.list[].industry_info.value: Industry name (e.g.Apparel & Accessories)data.list[].trend[]: Popularity trend over time — each entry hastime(Unix timestamp) andvalue(relative popularity 0–1)data.pagination.page: Current page numberdata.pagination.size: Items per pagedata.pagination.total: Total number of hashtags availabledata.pagination.has_more: Whether more pages exist